package com.ruoyi.enums.mallorder;

/**
 * 商城订单状态枚举
 * @Author liwenlong
 */
public enum RefundStatusEnums {

    待审核(1, "申请退款退货"),

    商家同意退款退货(2, "商家同意退款退货"),

    用户发货(3, "用户发货"),

    商家确认收货(4, "商家确认收货"),

    商家拒绝退款退货(5, "商家拒绝退款退货"),

    ;

    private Integer code;
    private String name;

    public static String getName(Integer code) {
        for (RefundStatusEnums c : RefundStatusEnums.values()) {
            if (c.getCode().equals(code)) {
                return c.name;
            }
        }
        return null;
    }

    RefundStatusEnums(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
